import QtQuick 1.1
import "Util.js" as Util

Rectangle {
    id:container
    property color brandingColor
    property string fontType
    property alias list: list



    property RssModel rssModel
    signal openTheWebView(string url,bool is_orig_story)

    width: parent.width
    height: parent.height
    color: appState.templateType == 1 ?"black" : "white"
    opacity: 1

    //list article

    Component {

        id: listDelegate

        ArticleView {
            id:article
            itemTitle: title
            itemImageUrl:imageUrl
            itemDescription: description
            itemPubmsago: pubDate
            itemMippinLink:mippinUrl
            itemLink: link
            itemVideo: getVideoElements(title)
            audioArray: getAudioElements(title)
            //articleAdvertHtml: advertHtml
            onItemSelected: list.positionViewAtIndex(index,article.Beginning)
            onLoadWebView:container.openTheWebView(urlRes,isOrigStory)
            onItemTitleChanged:ping(track)
            onItemMippinLinkChanged: {
                appState.sharingStringUrl = container.assignSharingString(mippinUrl)
                appState.sharingStringTitle = title

}
        }
    }


    function assignSharingString(link){
        if (link != undefined)
            return link
        else
            return ""
    }


   function getAudioElements(title){
       var tempArray = new Array()

        if (rssModel.audioMediaCont == null)
            return "";

       tempArray = rssModel.audioMediaCont

       for (var u = 0; u < tempArray.length; u++ ) {
           var child = new Array()
           child = tempArray[u]

           if(child[0] == title){
               var audioArray = new Array()
               for (var e = 1; e < child.length; e++ ) {
                   audioArray.push(child[e])
               }
               return audioArray
           }
        }

   }


   function getVideoElements(title){
       var tempArray = new Array()

        if (rssModel.videoMediaCont == null)
            return "";

       tempArray = rssModel.videoMediaCont
       var counter = 0
       for (var u = 0; u < tempArray.length; u++ ) {
           var child = new Array()
           child = tempArray[u]
           if(child[0] == title){
               if(child[1] != null){
                   counter = counter + 1
               return child[1]
           }
        }

   }

       if(counter == 0){
           return ""
       }
   }


//gallery article

   Component {

        id: galleryDelegate

       ArticleGalleryView {
           id:articleGallery
           itemTitle: title
           itemImageUrl: imageUrl
           itemDescription: description
           itemPubmsago: pubDate
           itemMippinLink:mippinUrl
           itemLink: link
           itemVideo: getVideoElements(title)
           onItemSelected: list.positionViewAtIndex(index ,article.Beginning)
           onLoadWebView:container.openTheWebView(urlRes,isOrigStory)
           onItemTitleChanged: ping(track)
           onItemMippinLinkChanged:{
               appState.sharingStringUrl = container.assignSharingString(mippinUrl)
               appState.sharingStringTitle = title
}
    }

}
   //analytics

   function ping(url){
       //dont try if we are offline
       if (!props.theme.iAmOnline) {
           Util.log("*************************************** OFFLINE - DONT TRACK");
           return;
       }

       //var xhr = new XMLHttpRequest()
       //xhr.open("GET",url,true)
       //xhr.send()
   }

   function giveMeUrl(url){
       //Util.log("the url of the image is:" + url)
       return url
}



    ListView {
        id: list
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: parent.bottom
            bottomMargin: 0
            fill: parent
        }
        clip: true
        model: rssModel.rssItems
        delegate: appState.templateType == 1 ? galleryDelegate : listDelegate
        snapMode:ListView.SnapOneItem
        orientation: ListView.Horizontal
        flickableDirection: Flickable.HorizontalFlick
        highlightRangeMode:ListView.StrictlyEnforceRange
        onMovementEnded: {
            appState.currentFeedItemIndex = list.currentIndex
        }
        /*onCurrentIndexChanged: {
            if(appState.templateType == 1)
            appState.footerIsVisible = false
}*/
    }
/*
    function printIndex(index){
        Util.log("The current article index is:" + index)
    }
    */
}
