import QtQuick 1.0
import "Util.js" as Util
import Qt 4.7
import QtMultimediaKit 1.1


Rectangle {
    id:container
    property string label:""
    property color textColor
    property bool isPlaying: false

    signal launchAudio(string audioUrl)

    width: 50
    height: mainWindow.width
    color:"white"

    Image{
        id:icon
        source: props.theme.images.audioImageMeego
        anchors.top: container.top
        anchors.left: container.left
        anchors.topMargin: container.height/2 - icon.height/2
        anchors.leftMargin: 8
    }

    Image{
        id:separatorTop
        source: props.theme.images.audioSeparator
        anchors.top: container.top
        anchors.left: container.left
        anchors.right: container.right

    }
    Image{
        id:separatorBottom
        source: props.theme.images.audioSeparator
        anchors.top: container.bottom
        anchors.left: container.left
        anchors.right: container.right

    }

    Text{
        id:downloadText
        anchors.top:container.top
        anchors.topMargin: 6
        anchors.right: container.right
        anchors.rightMargin: 8
        anchors.leftMargin: 5
        anchors.left: icon.right
        font.pixelSize: 30
        font.bold: true
        color: textColor
        text:props.theme.downloadAudio
        verticalAlignment: Text.AlignTop
    }

    Text{
        id:audioText
        anchors.bottom: container.bottom
        anchors.bottomMargin: 6
        anchors.right: container.right
        anchors.rightMargin: 8
        anchors.leftMargin: 5
        anchors.left: icon.right
        font.pixelSize: 20
        text:decodeUrl(label)
    }

Audio{
    id: playMusic
    source:label
    autoLoad: false
    playing: isPlaying? true : false

}

function decodeUrl(urlEncoded){
 var replaced = urlEncoded.replace(/%20/g,'/');
    return replaced

}


    MouseArea{
        id:mouseArea
        anchors.fill: container
        onClicked:{

            Qt.openUrlExternally(label)


        }
    }
}
