import QtQuick 1.1
import "Util.js" as Util
import Utils 1.0

//to customize the bottom menu


Rectangle {
    id: container

    property string textOvi:props.theme.oviFooterString
    property string urlOvi:props.theme.oviUrl

    signal settingsButtonClicked
    signal backButtonClicked()
    signal loadTheChannel()
    //signal webViewOpen(string preString)

    signal oviButtonClicked

    width: parent.width
    height: 72
    color: props.theme.appColor


    Image {
        id:iconRight
        source: props.theme.images.icon_info_meego
        anchors.top: parent.top
        anchors.right: parent.right
        visible: !appState.isMenuAtIndex

        anchors.topMargin: (parent.height - iconRight.height) / 2
        anchors.rightMargin: anchors.topMargin

        Button{
            id:oviButton
            anchors.fill: parent
            onClicked: {
                //to insert the condition whether the app is "share" or "info" mode
                container.oviButtonClicked()
            }
        }
    }

    Image {
        id:iconLeft

        source:  props.theme.images.icon_back_meego
        anchors.top: parent.top
        anchors.left: parent.left
        visible: !appState.isMenuAtIndex
        anchors.topMargin: (parent.height - iconLeft.height) / 2
        anchors.leftMargin: anchors.topMargin

        Button{
            id:backButton
            anchors.fill: parent
            onClicked: {

                container.backButtonClicked()
                appState.isMenuAtIndex = true
                appState.titleBarIsVisible = true
            }
        }

    }

    Image {
        id:iconCenter
        source:  appState.isMenuAtIndex ? props.theme.images.icon_refresh_meego : props.theme.images.icon_share_meego
        anchors.centerIn: parent

        Button{
            id:refreshButton
            anchors.fill: parent
            onClicked: {

                if(appState.isMenuAtIndex){

                    container.loadTheChannel()
                    appState.isMenuAtIndex = true

                } else {

                    utils.share(appState.sharingStringUrl,
                                appState.sharingStringTitle)
                }
            }
        }
    }

    Image{
        anchors.fill: parent
        source: props.theme.images.gradient_bottom_meego
    }

    Utils {
        id: utils
    }
}


