import QtQuick 1.1
import com.meego 1.0

import "Util.js" as Util


Rectangle {
    id: container

    //colors
    property color fontColorTitle
    property color fontColorTimestamp
    property bool fontBold: false
    property string text: "NOT SET"
    property string longText: "NOT SET"
    property string timestamp:"NOT SET"
    property string thumbnailUrl
    property bool selected: false
    property bool selectable: false
    property string icon: ""
    property double iconOpacity: 1
    property int currentIndex
    property int imageHeight: 105
    property int imageWidth: 105


    signal clicked
    signal pressAndHold(int mouseX, int mouseY)

    width: parent.width
    height: parent.height
    clip: true
    color: "white"
    onSelectedChanged: selected ?  state = 'selected' : state = ''

    BusyRemoteImage {

        id: iconId
        imageUrl: container.thumbnailUrl

        height:imageHeight
        width: imageWidth
        fillMode: "PreserveAspectFit"
        smooth: true
        opacity: container.iconOpacity
        asynchronous: true
        anchors {
            left:  parent.left
            top: parent.top
            topMargin:mainWindow.height > mainWindow.width ? 7.5 : 8.5
            leftMargin:mainWindow.height > mainWindow.width ? 7.5 : 8.5
        }
        busyStyle: BusyIndicatorStyle {
            size: "large"
            inverted: true
        }
    }

    Image{
        id:brokenImage
        anchors.fill: iconId
        visible: iconId.status == Image.Error || container.thumbnailUrl == ""
        source: props.theme.images.brokenImage
        asynchronous: true
    }


    function changeOrientation() {
    if(mainWindow.width > mainWindow.height){

           return visual.theme.images.listItemSeparator_ls

}
     else {
          return visual.theme.images.listItemSeparator
     }
    }


    //allow table cells selection

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            container.clicked();
            appState.titleBarIsVisible = false
              appState.footerIsVisible = false
        }
        onReleased: selectable && !selected ? selected = true : selected = false
        onPressAndHold: container.pressAndHold(mouseX,mouseY)
    }

    states: [
        State {
            name: 'pressed'; when: mouseArea.pressed
            //PropertyChanges { target: background; source: bgImagePressed; border { left: 35; top: 35; right: 35; bottom: 10 } }
        },
        State {
            name: 'selected'
           // PropertyChanges { target: background; source: bgImageSelected; border { left: 35; top: 35; right: 35; bottom: 10 } }
        },
        State {
            name: 'active';
            //PropertyChanges { target: background; source: bgImageActive; }
        }
    ]
}


