import QtQuick 1.0

import "Util.js" as Util

ListItem {

    function isSpotlightItem() {

        return currentIndex == 0
    }

    function getHeightForSpotlight() {

        if (isPortrait() && isSpotlightItem() && hasThumbnailImage()) {

            return getFullImageHeight() + getFullTextHeight()

        } else if (!isPortrait() && isSpotlightItem() && hasThumbnailImage()) {

            return Math.max(getFullTextHeight(), getFullImageHeight());

        } else {

            return getHeightForCell()
        }
    }

    height: getHeightForSpotlight()
    imageWidth: isSpotlightItem() ? 450:105
    imageHeight: isSpotlightItem() ? 253:105
    anchorTitleBelowImage: (isPortrait() && isSpotlightItem() && hasThumbnailImage()) ? true : false
    titlePixelSize: isSpotlightItem() ? 36 : 28
    anchorPubDateRightImage: (isPortrait() && isSpotlightItem()) ? false : true
    boldFontTitle:true
}
