import QtQuick 1.0
import "Util.js" as Util

Rectangle {
    id:container

    width: parent.width
    height: parent.height
    color: "transparent"

    property  int numberOfChannel: 0
    property variant channelTitles: []

    signal channelSelected(int channelIndex)



    Rectangle{
        id:rectdrop
        color: props.theme.appColor
        width: parent.width
        height: (appState.channelCount - 1) * 60
        //anchors.fill: list



    }


    Component {

        id: listDelegate


        Button{
            id:buttonChannel

            width: mainWindow.width
            height:appState.channelIndex == index? 0 : 60
            visible: appState.channelIndex != index

            Text {
                id:nameOfChannel
                anchors {
                    fill: parent
                    leftMargin: 12
                    rightMargin: 12
                }
                font.pixelSize: 32
                font.weight: Font.Light
                verticalAlignment: Text.AlignVCenter
                color: props.theme.titleBarTextColor
                text:index == appState.channelIndex ? displayChannelTitle(modelData): modelData
            }
            onClicked:{
                appState.isMenuAtIndex = true
                appState.channelTitle = nameOfChannel.text
                appState.multichannelIsVisible = false
                appState.channelIndex = index
                container.channelSelected(index)
            }

            Image{
                id:selectionBars
                source:props.theme.images.divider_dropdown_meego
                width: parent.width
                anchors.bottom:parent.bottom
                anchors.bottomMargin: 0
            }



        }


    }

    function displayChannelTitle(title){
        appState.channelTitle = title
        //Util.log("THE ARRAY ARRAY ARRAY ARRAY IS :" + channelTitles)
        return title
    }

    function getSelectionImage(index){
        if (index == appState.channelIndex){
            if(mainWindow.height>mainWindow.width){
                return props.theme.images.channelSelectedImage
            }
            else{
                return props.theme.images.channelSelectedImage_ls
            }
        }
        else{
            return ""

        }
    }

    ListView {
        id: list

        anchors.fill: parent
        clip: true
        model: channelTitles
        delegate: listDelegate
        interactive: false

        // Hide list until loading complete to avoid showing previously loaded
        // content.
        visible: {
            !appState.loading
            appState.channelCount = list.count
        }
    }


    function getChannelTitles(){
        var newArray = new Array()
        for (var i=0;i< channelTitles.length ;i++) {
            if(i != appState.channelIndex){
                //Util.log("THE TITLES GENERATED FROM AN ARRAY :" + channelTitles[i] + "THE CURRENT CHANNEL TITLE IS :" + appState.channelTitle + "channel index is" + appState.channelIndex)
                newArray.push(channelTitles[i])
            }
        }
        return newArray

    }


}
