import QtQuick 1.0
import ImageSaver 1.0

import "Util.js" as Util

Image {

    id: image
    asynchronous: true
    property string imageUrl
    property bool spotlight


    ImageSaver {
        id:imageSaver
    }


    onImageUrlChanged: {

        var tmpImgUrl = imageUrl;


        spotlight = false;
        try {
            if (isSpotlightItem()) {
                tmpImgUrl = tmpImgUrl.replace("w=80&h=60","w=" + image.width + "&h=" + image.height);
                spotlight = true;
            }
        }
        catch(e) {}

        var md5name = "storage/" + Qt.md5(tmpImgUrl) + ".png";

        //VAS CORRECTION!!!!!

        if /*(4 ==5){*/ ((imageSaver.exists(md5name))) {
            //Util.log("  Exists!!!!!!!!!!    (" + tmpImgUrl + ")-> " + Qt.md5(tmpImgUrl) + "!!!!!!!!!! ");
            //image.source = "../../" + md5name;
            image.source = "image://qrc/" + md5name;
        }
        else {
            //Util.log("  Doesnt exist!!!!!!!!!! (downloading " + tmpImgUrl);
            if (!spotlight)
                image.source = prepareImageSource(tmpImgUrl);
            else{
                image.source = tmpImgUrl;
                //Util.log("THE IMAGE URL IS:" + image.source)
            }
        }
    }

    onStatusChanged: {
        var tmpImgUrl = imageUrl;
        if (spotlight) {
            tmpImgUrl = tmpImgUrl.replace("w=80&h=60","w=" + image.width + "&h=" + image.height);
        }

        if (image.status == Image.Ready) {
            var md5name = "storage/" + Qt.md5(tmpImgUrl) + ".png";
            if (!imageSaver.exists(md5name)) {
                imageSaver.save(image, md5name, image.sourceSize.width, image.sourceSize.height, image.width, image.height);
                //Util.log("----------saving image..." + md5name + "        (" + tmpImgUrl + ")-> " + Qt.md5(tmpImgUrl) + "!!!!!!!!!! ");
            }
            else {
                //Util.log("----------******************************* IMAGE ALREADY SAVED ");
            }
        }
        else if ((image.status == Image.Error) || (image.status == Image.Null)) {
            //Util.log("----------error loading image...");
        }
        else {
            //Util.log("--------- loading image status...: " + image.status);
        }
    }






    function prepareImageSource(origUrl) {


        var widthRegEx = /w=\d+/
            var heightRegEx = /h=\d+/

            // in case of request for image url that uses as source a thumbnail
            if(origUrl.match("remoteThumb") && image.height == 0){
            var search1 = origUrl.search("w=") + 2
            var search2 = origUrl.search("h=") - 1
            var indexLastSpace = origUrl.length

            var newWidth = origUrl.substring(search1,search2)
            var newHeight = origUrl.substring(search2 + 3,indexLastSpace)

            image.width = newWidth
            image.height = newHeight
    }


        if (origUrl != undefined) {

            var newUrl = String(origUrl)

            if (image.width != undefined) {
                newUrl = newUrl.replace(widthRegEx, "w=" + image.width)
            }

            if (image.height != undefined) {
                newUrl = newUrl.replace(heightRegEx, "h=" + image.height)
            }
            //Util.log("The new url is: " + newUrl)

            return newUrl

        } else {

            return origUrl
        }
    }
}
