// Visual style for desktop
import QtQuick 1.0

Item {
    property alias images: images
    property alias font:font


    Item {
        id: images

        property string path: "gfx/"
        property string arrow: path+"arrow.png"
        property string backButton: path+"back_button.png"
        property string backButtonPressed: path+"back_button_pressed.png"
        property string exitButton: path+"exit_button.png"
        property string exitButtonPressed: path+"exit_button_pressed.png"

        // Border images
        property string button: path+"button.png"
        property string buttonActive: path+"button_active.png"
        property string buttonPressed: path+"button_pressed.png"
        //luca add on

        //buttons
        property string buttonRefreshImage:path+"icon-refresh.png"
        property string buttonShareImage:path+"icon-share.png"
        property string buttonSettingImage:path+"icon-settings.png"
        property string buttonInfoImage:path+"icon-info.png"

        //TitleBar images
        property string topGradient: path+"top.png"
        property string topGradientLandscape: path+"top-ls.png"
        property string topArticle: path+"top-article.png"
        property string topArticleLandscape: path+"top-article-ls.png"
        property string topDropdownMultichannel: path + "top-dropdown-overlay.png"
        property string topDropdownMultichannel_ls: path + "top-dropdown-overlay-ls.png"
        property string refreshIcon: path+"refresh_icon_New.png"
        property string logoGradient: path+"top-dropshadow-h14px.png"

       //footer
        property string bottomGradient_List_Portrait: path+"nav-portrait-list.png"
        property string bottomGradient_List_Landscape: path+"nav-landscape-list.png"

        //list item graphics
        property string listItemSeparator: path+"divider.png"
        property string listItemSeparator_ls: path+"divider-ls.png"

        //article view graphics
        property string gradientArticleSharing_portrait: path + "dimmer-bottom-portrait.png"
        property string gradientArticleSharing_landscape: path + "dimmer-bottom-landscape.png"
        property string button_Facebook: path + "share_fbook.png"
        property string button_Twitter: path + "share_twitter.png"
        property string button_SMS: path + "share_sms.png"
        property string button_Email: path + "share_email.png"

        //directional button graphic
        property string button_Next: path + "button_next.png"
        property string button_Previous: path + "button_prev.png"

        //table channel graphics
        property string tableChannel2:path + "dropdown2.png"
        property string tableChannel2_ls:path + "dropdown2-ls.png"
        property string tableChannel3:path + "dropdown3.png"
        property string tableChannel3_ls:path + "dropdown3-ls.png"
        property string tableChannel4:path + "dropdown4.png"
        property string tableChannel4_ls:path + "dropdown4-ls.png"
        property string channelSelectedImage: path + "dropdown_selected.png"
        property string channelSelectedImage_ls:path + "dropdown_selected-ls.png"
        property string arrowSelectionUp: path + "menu-icon-up.png"
        property string arrowSelectionDown: path + "menu-icon-down.png"

        //gallery view graphics

        property string brokenImage: path + "thumb_broken.png"
        property string topBarGallery: path + "top-gallery.png"
        property string topBarGallery_ls: path + "top-gallery-ls.png"
        property string captionGalleryMin: path + "caption_bg_minimized.png"
        property string captionGalleryMin_ls: path + "caption_bg_minimized-ls.png"
        property string captionGalleryMax: path + "caption_bg_full.png"
        property string captionGalleryMax_ls: path + "caption_bg_full-ls.png"

        //webview graphics
        property string webViewBack : path + "qt-webview-back.png"
        property string webViewExit : path + "qt-webview-exit.png"

        //wait indicator image
        property string waitIndicatorImg: path + "spinblue.gif"
        property string staticWaitIndicatorImg: path + "spinblue.gif"

        //audiocell graphic
        property string audioImage: path + "general_speaker.png"
        property string audioSeparator: path + "audiocell_separator.png"
        property string audioSeparator_landscape: path + "audiocell_separator_ls.png"

        //meego graphics

        property string icon_refresh_meego:path + "icon-refresh.png"
        property string icon_info_meego: path + "icon-info.png"
        property string icon_share_meego: path + "icon-share.png"
        property string icon_dropdown_meego: path + "icon-dropdown.png"
        property string icon_back_meego: path + "icon-back.png"

        property string gradient_bottom_meego: path + "gradient-bottom.png"
        property string gradient_channel_meego:path + "gradient-channel.png"
        property string gradient_top_meego: path + "gradient-top.png"

        property string divider_dropdown_meego: path + "divider-dropdown.png"
        property string divider_index_meego: path + "divider-index.png"
        property string divider_index_ls_meego: path + "divider-index-ls.png"
        property string dimmer_meego: path + "dimmer.png"

        property string dimmer_gallery_meego: path + "dimmer-gallery-pt.png"
        property string dimmer_gallery_meego_ls: path + "dimmer-gallery-ls.png"

        property string audioImageMeego: path + "general_speaker_meego.png"

    }


    Item {
        id:font

        property int indexViewTimestamp:12
        property int indexViewTitle:19
        property int indexViewDescription:17

        property int articleViewTimestamp:16
        property int articleViewTitle:22
        property int articleViewDescription:21

        property int galleryViewTitle:22
        property int galleryViewDescription:21


        property int spotlightViewTitle: 26

    }







}
